ClassPathScanner.ApplicationRelativeClassLoader (Grails 6.0.0)

Package: grails.boot.config.tools

## [Groovy] Class ClassPathScanner.ApplicationRelativeClassLoader

- grails.boot.config.tools.ClassPathScanner.ApplicationRelativeClassLoader

-     private static class ClassPathScanner.ApplicationRelativeClassLoader
      extends java.net.URLClassLoader

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Class` | `applicationClass` |
    `private boolean` | `jarDeployed` |
    `private java.net.URL` | `rootResource` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Class` | `applicationClass`
    `boolean` | `jarDeployed`
    `java.net.URL` | `rootResource`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ApplicationRelativeClassLoader (java.lang.Class applicationClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Enumeration<java.net.URL>` | `getResources(java.lang.String name)`
    `` | `protected java.lang.Class<?>` | `loadClass(java.lang.String name, boolean resolve)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.net.URLClassLoader` | `java.net.URLClassLoader#getURLs(), java.net.URLClassLoader#newInstance([Ljava.net.URL;, java.lang.ClassLoader), java.net.URLClassLoader#newInstance([Ljava.net.URL;), java.net.URLClassLoader#getResourceAsStream(java.lang.String), java.net.URLClassLoader#findResource(java.lang.String), java.net.URLClassLoader#findResources(java.lang.String), java.net.URLClassLoader#close(), java.net.URLClassLoader#loadClass(java.lang.String), java.net.URLClassLoader#getPlatformClassLoader(), java.net.URLClassLoader#getSystemClassLoader(), java.net.URLClassLoader#getName(), java.net.URLClassLoader#getResource(java.lang.String), java.net.URLClassLoader#getSystemResourceAsStream(java.lang.String), java.net.URLClassLoader#getSystemResource(java.lang.String), java.net.URLClassLoader#getResources(java.lang.String), java.net.URLClassLoader#resources(java.lang.String), java.net.URLClassLoader#isRegisteredAsParallelCapable(), java.net.URLClassLoader#getSystemResources(java.lang.String), java.net.URLClassLoader#getParent(), java.net.URLClassLoader#getUnnamedModule(), java.net.URLClassLoader#getDefinedPackage(java.lang.String), java.net.URLClassLoader#getDefinedPackages(), java.net.URLClassLoader#setDefaultAssertionStatus(boolean), java.net.URLClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#clearAssertionStatus(), java.net.URLClassLoader#wait(long), java.net.URLClassLoader#wait(long, int), java.net.URLClassLoader#wait(), java.net.URLClassLoader#equals(java.lang.Object), java.net.URLClassLoader#toString(), java.net.URLClassLoader#hashCode(), java.net.URLClassLoader#getClass(), java.net.URLClassLoader#notify(), java.net.URLClassLoader#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.Class applicationClass

    - #### private final boolean jarDeployed

    - #### private final java.net.URL rootResource

  - ### Property Detail

    - #### final java.lang.Class applicationClass

    - #### final boolean jarDeployed

    - #### final java.net.URL rootResource

  - ### Constructor Detail

    - #### ApplicationRelativeClassLoader(java.lang.Class applicationClass)

  - ### Method Detail

    - #### @java.lang.Override java.util.Enumeration<java.net.URL> getResources(java.lang.String name)

    - #### @java.lang.Override protected java.lang.Class<?> loadClass(java.lang.String name, boolean resolve)